googleapis 2.0.0
googleapis: ^2.0.0 copied to clipboard

Auto-generated client libraries for accessing Google APIs described through the API discovery service.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add googleapis

With Flutter:

 $ flutter pub add googleapis

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  googleapis: ^2.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:googleapis/abusiveexperiencereport/v1.dart';
import 'package:googleapis/acceleratedmobilepageurl/v1.dart';
import 'package:googleapis/accessapproval/v1.dart';
import 'package:googleapis/accesscontextmanager/v1.dart';
import 'package:googleapis/adexchangebuyer/v1_3.dart';
import 'package:googleapis/adexchangebuyer/v1_4.dart';
import 'package:googleapis/adexperiencereport/v1.dart';
import 'package:googleapis/admin/datatransfer_v1.dart';
import 'package:googleapis/admin/directory_v1.dart';
import 'package:googleapis/admin/reports_v1.dart';
import 'package:googleapis/admob/v1.dart';
import 'package:googleapis/adsense/v1_4.dart';
import 'package:googleapis/adsensehost/v4_1.dart';
import 'package:googleapis/analytics/v3.dart';
import 'package:googleapis/analyticsreporting/v4.dart';
import 'package:googleapis/androiddeviceprovisioning/v1.dart';
import 'package:googleapis/androidenterprise/v1.dart';
import 'package:googleapis/androidmanagement/v1.dart';
import 'package:googleapis/androidpublisher/v3.dart';
import 'package:googleapis/apigateway/v1.dart';
import 'package:googleapis/apigee/v1.dart';
import 'package:googleapis/appengine/v1.dart';
import 'package:googleapis/artifactregistry/v1.dart';
import 'package:googleapis/assuredworkloads/v1.dart';
import 'package:googleapis/bigquery/v2.dart';
import 'package:googleapis/bigquerydatatransfer/v1.dart';
import 'package:googleapis/bigqueryreservation/v1.dart';
import 'package:googleapis/bigtableadmin/v2.dart';
import 'package:googleapis/billingbudgets/v1.dart';
import 'package:googleapis/binaryauthorization/v1.dart';
import 'package:googleapis/blogger/v3.dart';
import 'package:googleapis/books/v1.dart';
import 'package:googleapis/calendar/v3.dart';
import 'package:googleapis/chat/v1.dart';
import 'package:googleapis/chromemanagement/v1.dart';
import 'package:googleapis/chromeuxreport/v1.dart';
import 'package:googleapis/civicinfo/v2.dart';
import 'package:googleapis/classroom/v1.dart';
import 'package:googleapis/cloudasset/v1.dart';
import 'package:googleapis/cloudbilling/v1.dart';
import 'package:googleapis/cloudbuild/v1.dart';
import 'package:googleapis/cloudchannel/v1.dart';
import 'package:googleapis/clouddebugger/v2.dart';
import 'package:googleapis/cloudfunctions/v1.dart';
import 'package:googleapis/cloudidentity/v1.dart';
import 'package:googleapis/cloudiot/v1.dart';
import 'package:googleapis/cloudkms/v1.dart';
import 'package:googleapis/cloudprofiler/v2.dart';
import 'package:googleapis/cloudresourcemanager/v1.dart';
import 'package:googleapis/cloudresourcemanager/v2.dart';
import 'package:googleapis/cloudresourcemanager/v3.dart';
import 'package:googleapis/cloudscheduler/v1.dart';
import 'package:googleapis/cloudsearch/v1.dart';
import 'package:googleapis/cloudshell/v1.dart';
import 'package:googleapis/cloudtasks/v2.dart';
import 'package:googleapis/cloudtrace/v2.dart';
import 'package:googleapis/composer/v1.dart';
import 'package:googleapis/compute/v1.dart';
import 'package:googleapis/container/v1.dart';
import 'package:googleapis/content/v2_1.dart';
import 'package:googleapis/customsearch/v1.dart';
import 'package:googleapis/datafusion/v1.dart';
import 'package:googleapis/dataproc/v1.dart';
import 'package:googleapis/datastore/v1.dart';
import 'package:googleapis/deploymentmanager/v2.dart';
import 'package:googleapis/dfareporting/v3_4.dart';
import 'package:googleapis/dialogflow/v2.dart';
import 'package:googleapis/dialogflow/v3.dart';
import 'package:googleapis/digitalassetlinks/v1.dart';
import 'package:googleapis/discovery/v1.dart';
import 'package:googleapis/displayvideo/v1.dart';
import 'package:googleapis/dlp/v2.dart';
import 'package:googleapis/dns/v1.dart';
import 'package:googleapis/docs/v1.dart';
import 'package:googleapis/domainsrdap/v1.dart';
import 'package:googleapis/doubleclickbidmanager/v1_1.dart';
import 'package:googleapis/doubleclicksearch/v2.dart';
import 'package:googleapis/drive/v2.dart';
import 'package:googleapis/drive/v3.dart';
import 'package:googleapis/driveactivity/v2.dart';
import 'package:googleapis/eventarc/v1.dart';
import 'package:googleapis/fcm/v1.dart';
import 'package:googleapis/file/v1.dart';
import 'package:googleapis/firebasedynamiclinks/v1.dart';
import 'package:googleapis/firebasehosting/v1.dart';
import 'package:googleapis/firebaseml/v1.dart';
import 'package:googleapis/firebaserules/v1.dart';
import 'package:googleapis/firestore/v1.dart';
import 'package:googleapis/fitness/v1.dart';
import 'package:googleapis/games/v1.dart';
import 'package:googleapis/gamesconfiguration/v1configuration.dart';
import 'package:googleapis/gameservices/v1.dart';
import 'package:googleapis/gamesmanagement/v1management.dart';
import 'package:googleapis/genomics/v1.dart';
import 'package:googleapis/gmail/v1.dart';
import 'package:googleapis/gmailpostmastertools/v1.dart';
import 'package:googleapis/groupsmigration/v1.dart';
import 'package:googleapis/groupssettings/v1.dart';
import 'package:googleapis/healthcare/v1.dart';
import 'package:googleapis/homegraph/v1.dart';
import 'package:googleapis/iam/v1.dart';
import 'package:googleapis/iamcredentials/v1.dart';
import 'package:googleapis/iap/v1.dart';
import 'package:googleapis/identitytoolkit/v3.dart';
import 'package:googleapis/indexing/v3.dart';
import 'package:googleapis/jobs/v3.dart';
import 'package:googleapis/jobs/v4.dart';
import 'package:googleapis/kgsearch/v1.dart';
import 'package:googleapis/language/v1.dart';
import 'package:googleapis/libraryagent/v1.dart';
import 'package:googleapis/licensing/v1.dart';
import 'package:googleapis/localservices/v1.dart';
import 'package:googleapis/logging/v2.dart';
import 'package:googleapis/managedidentities/v1.dart';
import 'package:googleapis/manufacturers/v1.dart';
import 'package:googleapis/memcache/v1.dart';
import 'package:googleapis/ml/v1.dart';
import 'package:googleapis/monitoring/v3.dart';
import 'package:googleapis/mybusinessaccountmanagement/v1.dart';
import 'package:googleapis/networkmanagement/v1.dart';
import 'package:googleapis/notebooks/v1.dart';
import 'package:googleapis/oauth2/v2.dart';
import 'package:googleapis/osconfig/v1.dart';
import 'package:googleapis/oslogin/v1.dart';
import 'package:googleapis/pagespeedonline/v5.dart';
import 'package:googleapis/people/v1.dart';
import 'package:googleapis/playablelocations/v3.dart';
import 'package:googleapis/playcustomapp/v1.dart';
import 'package:googleapis/policytroubleshooter/v1.dart';
import 'package:googleapis/poly/v1.dart';
import 'package:googleapis/pubsub/v1.dart';
import 'package:googleapis/pubsublite/v1.dart';
import 'package:googleapis/realtimebidding/v1.dart';
import 'package:googleapis/recommender/v1.dart';
import 'package:googleapis/redis/v1.dart';
import 'package:googleapis/remotebuildexecution/v2.dart';
import 'package:googleapis/reseller/v1.dart';
import 'package:googleapis/retail/v2.dart';
import 'package:googleapis/run/v1.dart';
import 'package:googleapis/runtimeconfig/v1.dart';
import 'package:googleapis/safebrowsing/v4.dart';
import 'package:googleapis/script/v1.dart';
import 'package:googleapis/searchconsole/v1.dart';
import 'package:googleapis/secretmanager/v1.dart';
import 'package:googleapis/securitycenter/v1.dart';
import 'package:googleapis/serviceconsumermanagement/v1.dart';
import 'package:googleapis/servicecontrol/v1.dart';
import 'package:googleapis/servicecontrol/v2.dart';
import 'package:googleapis/servicedirectory/v1.dart';
import 'package:googleapis/servicemanagement/v1.dart';
import 'package:googleapis/servicenetworking/v1.dart';
import 'package:googleapis/serviceusage/v1.dart';
import 'package:googleapis/sheets/v4.dart';
import 'package:googleapis/siteverification/v1.dart';
import 'package:googleapis/slides/v1.dart';
import 'package:googleapis/smartdevicemanagement/v1.dart';
import 'package:googleapis/sourcerepo/v1.dart';
import 'package:googleapis/spanner/v1.dart';
import 'package:googleapis/speech/v1.dart';
import 'package:googleapis/storage/v1.dart';
import 'package:googleapis/storagetransfer/v1.dart';
import 'package:googleapis/streetviewpublish/v1.dart';
import 'package:googleapis/sts/v1.dart';
import 'package:googleapis/tagmanager/v1.dart';
import 'package:googleapis/tagmanager/v2.dart';
import 'package:googleapis/tasks/v1.dart';
import 'package:googleapis/testing/v1.dart';
import 'package:googleapis/texttospeech/v1.dart';
import 'package:googleapis/tpu/v1.dart';
import 'package:googleapis/trafficdirector/v2.dart';
import 'package:googleapis/translate/v3.dart';
import 'package:googleapis/vault/v1.dart';
import 'package:googleapis/vectortile/v1.dart';
import 'package:googleapis/verifiedaccess/v1.dart';
import 'package:googleapis/videointelligence/v1.dart';
import 'package:googleapis/vision/v1.dart';
import 'package:googleapis/webfonts/v1.dart';
import 'package:googleapis/webmasters/v3.dart';
import 'package:googleapis/webrisk/v1.dart';
import 'package:googleapis/websecurityscanner/v1.dart';
import 'package:googleapis/workflowexecutions/v1.dart';
import 'package:googleapis/workflows/v1.dart';
import 'package:googleapis/youtube/v3.dart';
import 'package:googleapis/youtubeanalytics/v2.dart';
import 'package:googleapis/youtubereporting/v1.dart';
188
likes
130
pub points
96%
popularity

Publisher

google.dev

Auto-generated client libraries for accessing Google APIs described through the API discovery service.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

Dependencies

_discoveryapis_commons, http

More

Packages that depend on googleapis